# MythWeb has own spec now due to changes at MythTV.org 

%define branch fixes/0.27
%define _gitrev 18

Name:	   mythweb
Version:   0.27.6
Release:   %mkrel 2
URL:	   http://www.mythtv.org
Summary:   The web interface to mythTV
Group:     Video
License:   GPL
Source:	   %{name}-%{version}.tar.xz
Source1:   mythweb.conf
Source2:   canned_searches.conf.php
Requires:  apache-base apache-mpm-prefork php-iconv apache-mod_deflate php-mysql php-mysqli apache-mod_php php-iconv
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
Patch0:	   mythweb-fix-translate.patch 

%description
MythWeb provides a frontend for scheduling and managing recordings on your MythBox from a web browser located on another machine. Provided the security is set up correctly on your MythBox you can access your machine from anywhere on the internet, or even your mobile phone as long as you have a compatible browser. 

%prep
%setup -q
%patch0
# Remove firephpcore from init.php to prevent firephpcore to be detected as requirement
sed -i "s|@include_once('FirePHPCore/fb.php');|//|g" includes/init.php

%install
rm -rf %{buildroot}

mkdir -p %{buildroot}%{_var}/www/html/mythweb
cp -r * %{buildroot}%{_var}/www/html/mythweb
rm -rf %{buildroot}%{_var}/www/html/mythweb/{LICENSE,mythweb.conf.*,README,INSTALL}


mkdir -p %{buildroot}%{_sysconfdir}/httpd/conf/webapps.d
cp %{SOURCE1} %{buildroot}%{_sysconfdir}/httpd/conf/webapps.d/
install -m 644 %{SOURCE2} %{buildroot}%{_var}/www/html/mythweb/configuration/

%clean
rm -rf %{buildroot}

%post
/sbin/service httpd restart  > /dev/null 2>&1

%files
%defattr(-,root,root,-)
%doc README LICENSE INSTALL
%config(noreplace) %{_sysconfdir}/httpd/conf/webapps.d/mythweb.conf
%defattr(-,apache,apache,0775)
%{_var}/www/html/mythweb


%changelog
* Wed May 02 2018 adrianomorselli <adrianomorselli> 0.27.6-2uplos2018
- rebuild
